/* SPDX-License-Identifier: GPL-2.0-or-later */
/*
 * Copyright (C) 2010-2019 CERN (www.cern.ch)
 */


#ifndef __SPEC7_H__
#define __SPEC7_H__
#include <linux/debugfs.h>
#include <linux/device.h>
#include <linux/irqdomain.h>
#include <linux/pci.h>
#include <linux/platform_device.h>
#include <linux/spinlock.h>
#include <linux/mutex.h> 

#define SPEC7_WR_BAR 0
#define SPEC7_DMA_BAR 2
#define SPEC7_PS_DMA_BAR 4

#define SYSCON_REG_ADDR 0x202000
#define SPEC7_BASE_REGS_I2C SYSCON_REG_ADDR + 0x50
#define SPEC7_BASE_REGS_I2C_SIZE 32
#define SPEC7_FPGA_WB_CLK_HZ 62500000
#define SPEC7_FPGA_WB_CLK_KHZ (SPEC7_FPGA_WB_CLK_HZ / 1000)

struct spec7_drv {
	struct device *dev;
	struct pci_dev *pdev;
	void __iomem *bar;
};

static struct pci_device_id pcie_ids[] = {
	{PCI_DEVICE(0x10ee, 0x7022), },
	{PCI_DEVICE(0x10dc, 0x18d), },
	{0,},
};

#endif /* __SPEC7_H__ */  
